Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/xorg-cf-files: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Thu, 28 Aug 2014 14:55:21 +0000

http://xorg.freedesktop.org/
Data files for the imake utility
---
 testing/xorg-cf-files/APKBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/xorg-cf-files/APKBUILD
diff --git a/testing/xorg-cf-files/APKBUILD b/testing/xorg-cf-files/APKBUILD
new file mode 100644
index 0000000..49de3a6
--- /dev/null
+++ b/testing/xorg-cf-files/APKBUILD
_at_@ -0,0 +1,51 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=xorg-cf-files
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="Data files for the imake utility"
+url="http://xorg.freedesktop.org/"
+arch="noarch"
+license="custom"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+source="${url}releases/individual/util/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+   local i
+   cd "$_builddir"
+   for i in $source; do
+       case $i in
+       *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+       esac
+   done
+}
+
+build() {
+   cd "$_builddir"
+   ./configure \
+       --build=$CBUILD \
+       --host=$CHOST \
+       --prefix=/usr \
+       --sysconfdir=/etc \
+       --mandir=/usr/share/man \
+       --infodir=/usr/share/info \
+       --localstatedir=/var \
+       || return 1
+   make || return 1
+}
+
+package() {
+   cd "$_builddir"
+   make DESTDIR="$pkgdir" install || return 1
+   rm -f "$pkgdir"/usr/lib/*.la
+   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+   install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/"
+}
+
+md5sums="4a9cd7fc995ebf8f3cdad5395f9d8eba  xorg-cf-files-1.0.5.tar.bz2"
+sha256sums="ed23b85043edecc38fad4229e0ebdb7ff80b570e746bc03a7c8678d601be7ed4  xorg-cf-files-1.0.5.tar.bz2"
+sha512sums="139d2c51538257eac79118ea367cdfbebebcd095f353e784b61c109e008bf8e43eb4ef15bb0c8df74339dbed9d96af4c4d1e023c23d02d5de31dc2ea5b85ce5c  xorg-cf-files-1.0.5.tar.bz2"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Aug 28 2014 - 14:55:21 GMT